@font-face {
    font-family: 'Rubik';
    src: url('../../fonts/Rubik/Rubik-VariableFont_wght.ttf');
}

html,
body {
    min-height: 100vh;
    width: 100vw;
    font-family: 'Rubik', sans-serif;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-items: center;
    gap: 50px;
}

div.title {
    font-size: 75px;
    font-family: 'Rubik', sans-serif;
    color: var(--text-color);
    text-align: center;
    font-weight: bold;
    margin-top: 30px;
    max-height: 200px;
    max-width: 75%;
    align-self: center;
}

div.content {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    /* align-items: center; */
    align-self: center;
    gap: 50px;
}

body.cant-vote {
    gap: 100px;
}

body.cant-vote div.content {
    width: fit-content;
    border-radius: 10px;
    padding: 20px;
    margin: 0 15px 0;
    background-color: var(--bg-darker-color);
    color: var(--text-color);
    gap: 0;
}

div.content button {
    /* background-color: #eb5e28; */
    background-color: var(--active-color);
    /* color: #403d39; */
    color: var(--light-text-color);
    border: none;
    border-radius: 5px;
    padding: 10px;
    margin-top: 10px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color ease-in 0.2s;
    align-self: flex-start;
}

div.content button:hover {
    /* background-color: #e98861; */
    background-color: var(--accent-color);
    /* color: #403d39; */
    /* color: var(--text-color); */
}

div.vote-container {
    /* display: flex; */
    flex-direction: row;
    scroll-snap-align: start;
    position: relative;
    transition: all 0.7s cubic-bezier(0.42, 0, 0, 0.99);
}

div.vote-container > div {
    display: flex;
    flex-direction: row;
    background-color: var(--bg-color);
    z-index: 1;
}

div.flex-100-container {
    flex: 0 0 100%;
}

div.vote-element {
    display: flex;
    flex-direction: column;
    /* background-color: #403d39; */
    background-color: var(--bg-darker-color);
    /* color: #fffcf2; */
    color: var(--text-color);
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    /* left: 150%; */
    transition: all 0.5s ease-out;
    height: fit-content;
    min-width: min-content;
    max-width: max-content;
    margin: auto;
}

div.vote-elenment.description {
    min-width: 50%;
}

div.vote-element.show {
    position: relative;
    left: 50%;
    transform: translate(-50%, 0);
}

div.vote-element.hide-left {
    left: -150%;
}

div.vote-element div.teacher {
    font-size: 25px;
    font-weight: bold;
}

div.vote-element div.vote-rows {
    margin-top: 15px;
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: center;
}

div.vote-element div.vote-rows div.vote-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 150px;
    text-wrap: nowrap;
}

div.vote-element.description div.vote-rows div.vote-row {
    flex-direction: column;
    gap: 10px;
    align-items: start;
}

div.vote-element div.criteria:not(.description) {
    font-size: 20px;
    font-weight: bold;
}

div.vote-element div.criteria.description {
    text-wrap: wrap;
    word-wrap: normal;
}

div.vote-element div.vote-rows div.vote-buttons {
    display: flex;
}

div.vote-element div.vote-rows div.vote-buttons div.vote-button {
    /* color: #eb5e28; */
    color: var(--active-color);
    border: none;
    padding: 8px 15px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color ease-in 0.2s;
    /* border: 1px solid #eb5e28; */
    border: 1px solid var(--active-color);
    border-right: none;
}

div.vote-element div.vote-rows div.vote-row.invalid div.vote-buttons div.vote-button {
    color: var(--error-color);
    border-color: var(--error-color);
}

div.vote-element div.vote-rows div.vote-buttons div.vote-button:first-of-type {
    border-radius: 5px 0px 0px 5px;
}

div.vote-element div.vote-rows div.vote-buttons div.vote-button:last-of-type {
    border-radius: 0px 5px 5px 0px;
    /* border-right: 1px solid #eb5e28; */
    border-right: 1px solid var(--active-color);
}

div.vote-element div.vote-rows div.vote-buttons div.vote-button.selected {
    /* background-color: #eb5e28; */
    background-color: var(--active-color);
    /* color: #403d39; */
    color: var(--light-text-color);
}

div.vote-controls-mobile {
    display: none;
}

div.progress-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-bottom: 50px;
}

div.progress-container div.button {
    width: 30px;
    height: 30px;
    /* background: #eb5e28; */
    background: var(--active-color);
    border-radius: 50%;
    display: flex;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 10px;
    margin: 0 40px;
    font-size: 20px;
    color: var(--light-text-color);
    cursor: pointer;
    transition: all 0.2s ease-out;
    pointer-events: fill;
}

div.progress-container div.button.disabled {
    /* background: #403d39; */
    background: var(--inactive-color);
    cursor: default;
}

div.progress-container div.button.disabled:hover {
    background: var(--inactive-color);
}

div.progress-container div.button:hover {
    /* background: #e98861; */
    background: var(--accent-color);
    color: var(--text-color);
}

div.progress-container div.button.submit {
    border-radius: 7px;
    width: 40px;
    padding: 10px 40px;
    /* background: none; */
    /* border: 1px solid #eb5e28; */
    /* border: 1px solid var(--active-color); */
    /* color: #eb5e28; */
    color: var(--light-text-color);
}

div.progress-container div.button.submit:hover {
    /* color: #e98861; */
    /* color: var(--accent-color); */
    /* border-color: #e98861; */
    border-color: var(--accent-color);
    color: var(--text-color);
}

.progress-indicator {
    display: flex;
    justify-content: space-between;
    width: 40%;
    align-self: center;
    align-items: center;
}

.progress-dot {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: var(--accent-color);
    /* cursor: pointer; */
}

div.progress-container .invalid {
    border-color: var(--error-border-color);
    background-color: var(--error-color);
}

.progress-line {
    flex: 1;
    height: 4px;
    background-color: var(--bg-darker-color);
    margin: 8px 0;
}

.current-dot {
    background-color: var(--bg-darker-color);
    border: 4px solid var(--accent-color);
}

.active-dot {
    background-color: var(--active-color);
}

div.footer {
    color: var(--inactive-color);
    align-self: center;
}

div.footer a {
    color: var(--inactive-color);
    font-weight: bold;
    text-decoration: none;
    font-style: italic;
}

@media screen and (max-width: 850px) {
    body {
        height: 100vh;
        gap: 20px;
        /* overflow: hidden; */
    }
    
    body.cant-vote {
        gap: 20px;
    }

    /* body::-webkit-scrollbar {
        display: none;
    } */
    
    body.cant-vote div.title {
        position: relative;
        padding: 7px;
    }

    /* div.error {
        position: absolute;
        top: 15px;
    } */

    div.title {
        position: absolute;
        top: 0;
        left: 50%;
        height: fit-content;
        transform: translate(-50%, 0);
        margin: 30px 0 0;
        padding: 0 7px;
        font-size: 50px;
        max-width: none;
        width: 95%;
    }
    
    /* div.content {
        margin: 15px;
    } */
    
    div.content div.vote-container {
        display: flex;
        /* height: 95vh; */
        flex-direction: column;
        gap: 50px;
        /* scroll-snap-type: y mandatory; */
        /* overflow: hidden scroll; */
    }

    div.content div.vote-container > div {
        padding: 10px;
        gap: 10px;
        flex-direction: column;
    }

    div.content div.vote-container::-webkit-scrollbar {
        display: none;
    }
    
    div.content div.vote-container div.spacer {
        min-height: 162px;
        background-color: transparent;
        scroll-snap-align: start;
    }

    div.content div.vote-container div.spacer.bottom {
        min-height: 100px;
    }

    div.flex-100-container {
        flex: unset;
        margin: auto;
    }

    div.vote-element {
        left: 0;
        padding: 15px;
        /* margin: 20px; */
        scroll-snap-align: start;
        scroll-snap-stop: always;
        scroll-margin: 10px 0 30px;
    }
    
    div.vote-element div.vote-rows div.vote-row {
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }

    div.vote-element div.vote-rows div.vote-row div.vote-button {
        padding: 8px 11px;
    }

    div.progress-container {
        margin-bottom: 0;
    }
    
    div.vote-controls {
        display: none;
    }

    div.vote-controls-mobile {
        /* scroll-snap-type: y proximity; */
        scroll-snap-align: start;
        margin: 30px 0 10px;
        display: flex;
        justify-content: center;
        /* position: absolute;
        bottom: 7%;
        left: 50%;
        transform: translate(-50%, 0); */
    }

    div.vote-controls-mobile div.button {
        border-radius: 7px;
        padding: 10px 40px;
        text-align: center;
        /* background: none; */
        /* border: 1px solid #eb5e28; */
        /* border: 1px solid var(--active-color); */
        /* color: #eb5e28; */
        background-color: var(--active-color);
        color: var(--light-text-color);
    }

    div.footer {
        position: absolute;
        bottom: 10px;
    }

    /* div.content {
        flex-direction: row-reverse;
        justify-content: center;
    }

    div.vote-controls div.progress-container {
        flex-direction: column;
    }

    div.vote-controls div.progress-container div.progress-indicator {
        flex-direction: column;
    }

    div.vote-controls div.progress-container div.button {
        display: none;
    } */
}